import { QueryReducer } from '../execution/QueryReducer';
import { GraphQLDirectiveValue } from '../type/directives';
import { GraphQLExtResolveInfo } from '../execution/GraphQLExtResolveInfo';
export default class DirectiveCollector<ReducedDirective> implements QueryReducer<Array<ReducedDirective>, Object> {
    private handleDirective;
    private reduceContext;
    initial: Array<ReducedDirective>;
    constructor(handleDirective: (directive: GraphQLDirectiveValue) => ReducedDirective, reduceContext: (acc: Array<ReducedDirective>, ctx: Object) => Object);
    reduceField(parent: Array<ReducedDirective>, child: Array<ReducedDirective>, _ctx: mixed, info: GraphQLExtResolveInfo): Array<ReducedDirective>;
    reduceScalar(): Array<ReducedDirective>;
    reduceEnum(): Array<ReducedDirective>;
    reduceCtx(acc: Array<ReducedDirective>, ctx: Object): Object;
}
