import { GraphQLFieldResolver } from 'graphql';
export declare type ComposableResolver<TSource, TOutput> = (fn: GraphQLFieldResolver<TSource, TOutput>) => GraphQLFieldResolver<TSource, TOutput>;
export declare function compose<TSource, TOutput>(...funcs: Array<ComposableResolver<TSource, TOutput>>): ComposableResolver<TSource, TOutput>;
export declare function CompositeResolver<TSource, TOutput>(...funcs: Array<ComposableResolver<TSource, TOutput>>): (resolver: GraphQLFieldResolver<TSource, TOutput>) => GraphQLFieldResolver<TSource, TOutput>;
