import { GraphQLOutputType, GraphQLScalarType, GraphQLObjectType, GraphQLInterfaceType, GraphQLUnionType, GraphQLEnumType } from 'graphql';
export declare type GraphQLNamedOutputType = GraphQLScalarType | GraphQLObjectType | GraphQLInterfaceType | GraphQLUnionType | GraphQLEnumType;
/**
 * Given a GraphQLOutputType returns the underlying Object, Scalar, Union, Interface, or Enum.
 * @param type
 */
export declare function getNamedOutputType(type: GraphQLOutputType): GraphQLNamedOutputType;
